package com.usky.park.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.usky.common.core.exception.BusinessException;
import com.usky.park.domain.DataStHistory;
import com.usky.park.mapper.DataStHistoryMapper;
import com.usky.park.service.DataStHistoryService;
import com.usky.common.mybatis.core.AbstractCrudService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;

/**
 * <p>
 * 无人驿站历史数据 服务实现类
 * </p>
 *
 * @author fu
 * @since 2023-11-29
 */
@Service
public class DataStHistoryServiceImpl extends AbstractCrudService<DataStHistoryMapper, DataStHistory> implements DataStHistoryService {
    @Autowired
    private DataStHistoryMapper dataStHistoryMapper;

    @Override
    public void add(DataStHistory dataStHistory, String appKey) {

        String appKeyLo = "6C57702BB93E9BA136B9337F0C1BA1BC";

        if (!appKey.equals(appKeyLo)) {
            throw new IllegalArgumentException("appKey不正确!");
        } else if ((dataStHistoryMapper.checkPackNo(dataStHistory.getPackNo())).size() > 0) {
            throw new BusinessException("订单编号已存在!请再次核对");
        } else {
            dataStHistory.setAppKey(appKey);
        }

        LocalDateTime dataTime = LocalDateTime.now();
        Integer packStatus = 1;
        dataStHistory.setDataTime(dataTime);
        dataStHistory.setPackStatus(packStatus);

        baseMapper.insert(dataStHistory);
    }
}
